// cUserInfo.h: interface for the cUserInfo class.
//
//////////////////////////////////////////////////////////////////////

#ifndef cUserInfo_H
#define cUserInfo_H

#include "cName.h"

class cUserInfo : public cName{
protected:
	char Password[13]; // 최소 4문자 최대 12문자까지를 검사함

public:
	cUserInfo();
	virtual ~cUserInfo();

	virtual bool SetName(const char *_pName);
	bool SetPassword(char *pPassword);
	char *GetPassword(){ return Password; }

	friend bool operator==(cUserInfo &a, cUserInfo &b);
	friend bool operator!=(cUserInfo &a, cUserInfo &b);
};


#endif // !defined(AFX_CUSERINFO_H__458F3803_ADB7_11D2_83E4_88ED02C10000__INCLUDED_)
